Subject: bug#43386: 27.1; Regression in `report-emacs-bug'

From: Drew Adams <[email-masked]>
Date: Sun, 13 Sep 2020 23:56:10 +0000 (UTC)

> >>From emacs -Q, when I use C-c C-c to send a bug report, it used to just
> > ask me how to send it, with "mail client" being the default.
> >
> > Now it asks me whether <my
> > host>.i-did-not-set--mail-host-address--so-tickle-me is really my email
> > address.  When I say no, it just ends the interaction.
> 
> It asks you to edit the From address, which you should do.  (But it
> should place point on the From line instead of leaving it at the end of
> the buffer; I've now fixed this on the trunk.)

I should not have to do that each time.  No.

> > This is a regression.
> Nope.

I believe it is.  I don't see it in any earlier Emacs release.

> > What's more, after I edit that default From field to provide my email
> > address, it asks whether I want to save this.  I answer yes, but it
> > makes no difference.  Another M-x report-emacs-bug, at least in the
> > same session, shows that it still uses that default From text.
> 
> It doesn't ask me that.  Perhaps you're thinking of the next question
> you're getting -- which mail transport to use?

No.  That's a separate question.  That one I expect,
and that one I get also in earlier releases.

And after going through the whole thing once
(including answering whether I want to save the
updated email address), the next time in the same
session I don't get that do-you-want-to-save-it
question.

But even after saying I wanted to save it, I still
get, in the same session, the same old <my host>.
i-did-not-set--mail-host-address--so-tickle-me
address, and not the edited and saved address.